## php-mockery 1.3.1

=== Makefile ===
vendor/composer/installed.json: composer.json
	composer install

.PHONY: deps
deps: vendor/composer/installed.json

.PHONY: test
test: deps
	php vendor/bin/phpunit

.PHONY: apidocs
apidocs: docs/api/index.html

phpDocumentor.phar: 
	wget https://github.com/phpDocumentor/phpDocumentor2/releases/download/v3.0.0-alpha.3/phpDocumentor.phar
	wget https://github.com/phpDocumentor/phpDocumentor2/releases/download/v3.0.0-alpha.3/phpDocumentor.phar.pubkey

library_files=$(shell find library -name '*.php')
docs/api/index.html: vendor/composer/installed.json $(library_files) phpDocumentor.phar
	php phpDocumentor.phar run -d library -t docs/api

.PHONY: test-all
test-all: test-73 test-72 test-71 test-70 test-56

.PHONY: test-all-7
test-all-7: test-73 test-72 test-71 test-70

.PHONY: test-73
test-73: deps
	docker run -it --rm -v "$$PWD":/opt/mockery -w /opt/mockery php:7.3-cli php vendor/bin/phpunit

.PHONY: test-72
test-72: deps
	docker run -it --rm -v "$$PWD":/opt/mockery -w /opt/mockery php:7.2-cli php vendor/bin/phpunit

.PHONY: test-71
test-71: deps
	docker run -it --rm -v "$$PWD":/opt/mockery -w /opt/mockery php:7.1-cli php vendor/bin/phpunit

.PHONY: test-70
test-70: deps
	docker run -it --rm -v "$$PWD":/opt/mockery -w /opt/mockery php:7.0-cli php vendor/bin/phpunit

.PHONY: test-56
test-56: build56
	docker run -it --rm \
		-v "$$PWD/library":/opt/mockery/library \
		-v "$$PWD/tests":/opt/mockery/tests \
		-v "$$PWD/phpunit.xml.dist":/opt/mockery/phpunit.xml \
		-w /opt/mockery \
		mockery_php56 \
		php vendor/bin/phpunit

.PHONY: build56
build56:
	docker build -t mockery_php56 -f "$$PWD/docker/php56/Dockerfile" .

## php-mockery 0.9.4

=== debian/changelog ===
php-mockery (0.9.4-1build1) xenial; urgency=medium

  * No-change rebuild against php 7

 -- Nish Aravamudan <nish.aravamudan@canonical.com>  Thu, 31 Mar 2016 02:14:43 +0000

php-mockery (0.9.4-1) unstable; urgency=low

  * Initial release (new php-phpdocumentor-reflection-docblock
    build-dependency)

 -- David Prévot <taffit@debian.org>  Mon, 01 Feb 2016 20:34:59 -0400

=== debian/control ===
Source: php-mockery
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9),
               php-hamcrest,
#               php-mongo,
               php-redis,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.7~),
               python-sphinx,
               python-sphinx-rtd-theme
Standards-Version: 3.9.6
Homepage: http://docs.mockery.io
Vcs-Git: git://anonscm.debian.org/pkg-php/php-mockery.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-mockery.git

Package: php-mockery
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: php-mockery-doc, ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: mock object framework for PHPUnit and other testing framework
 ${phpcomposer:description}.

Package: php-mockery-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: mock object framework for PHPUnit - documentation
 This package provides the documentation for php-opencloud.
 .
 ${phpcomposer:description}.

## php-mockery 0.9.5

=== debian/changelog ===
php-mockery (0.9.5-1) unstable; urgency=medium

  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Tue, 24 May 2016 09:09:34 -0400

php-mockery (0.9.4-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Sat, 12 Mar 2016 14:55:06 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                pkg-php-tools (>= 1.7~),
                python-sphinx,
                python-sphinx-rtd-theme
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://docs.mockery.io
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-mockery.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-mockery.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer,sphinxdoc

override_dh_auto_build:
	phpab \
		--template debian/autoload.php.tpl \
		--output library/Mockery/autoload.php \
		library
	# Build user documentation
	$(MAKE) -C docs html

override_dh_auto_clean:
	dh_auto_clean -O--sourcedirectory=docs

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --include-path library --bootstrap debian/bootstrap.php
else
	@echo "** tests disabled"
endif

get-orig-source:
	uscan --force --verbose --rename

=== debian/tests/control ===
Test-Command: phpunit --bootstrap debian/bootstrap.php
Depends: @, php-redis, phpunit

## php-mockery 1.0

=== debian/changelog ===
php-mockery (1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (1.0).
    - d/watch: update uversionmangles for a two-digit version.
    - d/patches: drop as no longer applicable.
    - d/bootstrap.php: update for new required helpers for tests.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 14 Feb 2018 17:02:33 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: php-mockery
 Section: php
 Priority: optional
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper (>= 9),

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/^(\d\.\d)$/$1\.0/ \
https://github.com/padraic/mockery/releases \
.*/archive/v?(\d.+).tar.gz

## php-mockery 1.3.1

=== debian/changelog ===
php-mockery (1.3.1-1) unstable; urgency=medium

  [ Robert Basic ]
  * Revert "Improve exception debugging"
  * Add changelog

  [ David Prévot ]
  * Set upstream metadata fields: Bug-Database, Repository, Bug-Submit
  * Revert "Adapt package to new phpunit-comparator dependency"

 -- David Prévot <taffit@debian.org>  Sun, 29 Dec 2019 17:33:02 +1100

php-mockery (1.3.0-1) unstable; urgency=medium

  [ Robert Basic ]
  * Prepare changelog for 1.3 release

  [ David Prévot ]
  * Adapt package to new phpunit-comparator dependency
  * Set upstream metadata fields: Repository-Browse.
  * Fix typo in php-mockery-doc description

 -- David Prévot <taffit@debian.org>  Tue, 26 Nov 2019 07:30:11 -1000

php-mockery (1.2.4-1) unstable; urgency=medium

  [ lintaba ]
  * Bugfix: 'Add support for ! to blacklist methods' for empty methods

  [ Dave Marshall ]
  * Prepare 1.2.4 release

  [ David Prévot ]
  * Allow stderr for CI
  * Only install php-mockery for CI
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Fri, 04 Oct 2019 18:15:03 -1000

php-mockery (1.2.3-1) unstable; urgency=medium

  [ Dave Marshall ]
  * Update changelog

  [ David Prévot ]
  * Update standards version, no changes needed.

 -- David Prévot <taffit@debian.org>  Tue, 10 Sep 2019 04:09:27 -1000

php-mockery (1.2.2-1) unstable; urgency=medium

  [ Dave Marshall ]
  * Updates changelog with 1.2.2 release date

  [ David Prévot ]
  * Drop get-orig-source target
  * Update tests
  * Move repository to salsa.d.o
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Use Python3 version of Sphinx
  * Update copyright
  * Don’t ship examples not provided anymore
  * Move helpers into Mockery directory

 -- David Prévot <taffit@debian.org>  Sun, 30 Jun 2019 16:50:15 -1000

=== debian/control ===
Source: php-mockery
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 12),
               php-hamcrest,
               php-redis,
               phpab,
               phpunit,
               pkg-php-tools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.4.1
Homepage: http://docs.mockery.io
Vcs-Git: https://salsa.debian.org/php-team/pear/php-mockery.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-mockery

Package: php-mockery
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: php-mockery-doc, ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: mock object framework for PHPUnit and other testing framework
 ${phpcomposer:description}.

Package: php-mockery-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: mock object framework for PHPUnit - documentation
 This package provides the documentation for php-mockery.
 .
 ${phpcomposer:description}.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer,sphinxdoc

override_dh_auto_build:
	phpab \
		--template debian/autoload.php.tpl \
		--output library/Mockery/autoload.php \
		library
	mkdir --parents vendor
	phpab \
		--template debian/autoload.tests.php.tpl \
		--output vendor/autoload.php \
		tests
	cp -a library/helpers.php library/Mockery/helpers.php
	# Build user documentation
	$(MAKE) -C docs html

override_dh_auto_clean:
	dh_auto_clean -O--sourcedirectory=docs

override_dh_install:
	dh_install
	rm -f debian/php-mockery/usr/share/php/helpers.php

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --include-path library
else
	@echo "** tests disabled"
endif

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -t debian/autoload.tests.php.tpl -o vendor/autoload.php tests && phpunit
Restrictions: allow-stderr, rw-build-tree
Depends: php-mockery, php-redis, phpab, phpunit

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/ \
https://github.com/padraic/mockery/releases \
.*/archive/v?(\d.+).tar.gz

## php-mockery 1.4.2

=== Makefile ===
vendor/composer/installed.json: composer.json
	composer install

.PHONY: deps
deps: vendor/composer/installed.json

.PHONY: test
test: deps
	php vendor/bin/phpunit

.PHONY: apidocs
apidocs: docs/api/index.html

phpDocumentor.phar: 
	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.0.0-rc/phpDocumentor.phar
	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.0.0-rc/phpDocumentor.phar.asc

library_files=$(shell find library -name '*.php')
docs/api/index.html: vendor/composer/installed.json $(library_files) phpDocumentor.phar
	php phpDocumentor.phar run -d library -t docs/api

.PHONY: test-all
test-all: test-74 test-73

.PHONY: test-74
test-74: deps
	docker run -it --rm -v "$$PWD":/opt/mockery -w /opt/mockery php:7.4-cli php vendor/bin/phpunit

.PHONY: test-73
test-73: deps
	docker run -it --rm -v "$$PWD":/opt/mockery -w /opt/mockery php:7.3-cli php vendor/bin/phpunit

=== debian/changelog ===
php-mockery (1.4.2-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Improved PHP 8.0 support
  * Release 1.4.2

  [ David Prévot ]
  * Drop PHP80 tests that confuse PHPUnit

 -- David Prévot <taffit@debian.org>  Mon, 17 Aug 2020 19:01:26 +0200

php-mockery (1.4.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Completed PHP 8 support :tada:
  * Bumped minimum hamcrest/hamcrest-php version
  * Release 1.3.2

  [ David Prévot ]
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Sun, 12 Jul 2020 12:36:44 -0400

php-mockery (1.4.0-1) unstable; urgency=medium

  [ Dave Marshall ]
  * Drops support for older versions of PHP and PHPUnit

  [ David Prévot ]
  * Document gbp import-ref usage
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 10:08:02 -1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                php-hamcrest,
                php-redis,
                phpab,
@@ -11,10 +11,11 @@
                pkg-php-tools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
-Homepage: http://docs.mockery.io
+Standards-Version: 4.5.0
+Homepage: https://docs.mockery.io
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-mockery.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-mockery
+Rules-Requires-Root: no
 
 Package: php-mockery
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,9 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--sourcedirectory=docs
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm -f debian/php-mockery/usr/share/php/helpers.php
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	rm -rf tests/PHP80
 	phpunit --include-path library
-else
-	@echo "** tests disabled"
-endif

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -t debian/autoload.tests.php.tpl -o vendor/autoload.php tests && rm -rf tests/PHP80 && phpunit
Restrictions: allow-stderr, rw-build-tree
Depends: php-mockery, php-redis, phpab, phpunit

## php-mockery 1.5.0

=== debian/changelog ===
php-mockery (1.5.0-1) unstable; urgency=medium

  [ Nathanael Esayeas ]
  * Update CHANGELOG.md

  [ David Prévot ]
  * Run all tests

 -- David Prévot <taffit@debian.org>  Thu, 20 Jan 2022 12:40:25 -0400

php-mockery (1.4.4-3) unstable; urgency=medium

  * Drop PHP80 tests that confuses PHPUnit on buildd

 -- David Prévot <taffit@debian.org>  Thu, 13 Jan 2022 04:01:01 -0400

php-mockery (1.4.4-2) unstable; urgency=medium

  * Upload to unstable now that Bulseye has been released
  * Revert "Drop PHP80 tests that confuse PHPUnit"

 -- David Prévot <taffit@debian.org>  Wed, 12 Jan 2022 11:25:10 -0400

php-mockery (1.4.4-1) experimental; urgency=medium

  [ Graham Campbell ]
  * More fixes for PHP 8.1 and setup CI again

  [ Dave Marshall ]
  * Fixes badge url
  * Adds a couple of change notes

  [ David Prévot ]
  * Compatibility with Python 3
  * Generate phpabtpl at build time
  * Drop lib-pcre from composer.json
  * Update standards version to 4.6.0, no changes needed.
  * Drop Php81 testsuite for now

 -- David Prévot <taffit@debian.org>  Sat, 09 Oct 2021 15:28:24 -0400

php-mockery (1.4.3-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Graham Campbell ]
  * Release 1.3.3

  [ Anders Jenbo ]
  * Allow shouldIgnoreMissing() to behave in a recursive fashion

  [ Thomas Gerbet ]
  * Fix crash on a union type including null

  [ martinjonas ]
  * Custom object formatters

  [ Daniel Rudolf ]
  * Fix Mockery::fetchMock() without initialized container

  [ David Prévot ]
  * Simplify gbp import-orig
  * Rename main branch to debian/latest (DEP-14)
  * Update Standards-Version to 4.5.1
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Wed, 24 Feb 2021 07:35:49 -0400

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
+               dh-sequence-sphinxdoc,
                php-hamcrest,
                php-redis,
                phpab,
                phpunit,
-               pkg-php-tools,
+               pkg-php-tools (>= 1.41~),
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://docs.mockery.io
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-mockery.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-mockery.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-mockery
 Rules-Requires-Root: no
 
 Package: php-mockery
 Architecture: all
-Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
+Depends: libpcre3 (>= 7.0), ${misc:Depends}, ${phpcomposer:Debian-require}
 Recommends: ${phpcomposer:Debian-recommend}
 Suggests: php-mockery-doc, ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/padraic/mockery \
refs/tags/v?(\d.+)

## php-mockery 1.5.1

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 apidocs: docs/api/index.html
 
 phpDocumentor.phar: 
-	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.0.0-rc/phpDocumentor.phar
-	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.0.0-rc/phpDocumentor.phar.asc
+	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.0.0/phpDocumentor.phar
+	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.0.0/phpDocumentor.phar.asc
 
 library_files=$(shell find library -name '*.php')
 docs/api/index.html: vendor/composer/installed.json $(library_files) phpDocumentor.phar

=== debian/changelog ===
php-mockery (1.5.1-2) unstable; urgency=medium

  * Mark package as Multi-Arch: foreign
  * Drop tests failing with PHP 8.2 (Closes: #1028859)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Update source URL

 -- David Prévot <taffit@debian.org>  Sat, 14 Jan 2023 20:01:19 +0100

php-mockery (1.5.1-1) unstable; urgency=medium

  [ Kai Dederichs ]
  * Add __toString to array of methods to be removed in pass

  [ Keith Brink ]
  * Support PHP8.1 intersection types

  [ jrfnl ]
  * PHP 8.2: fix "Use of "parent" in callables is deprecated" notice
  * PHP 8.2 | Various tests: explicitly declare properties

  [ David Prévot ]
  * Drop d/pkg-php-tools-* entries
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 09:47:11 -0400

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                pkg-php-tools (>= 1.41~),
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://docs.mockery.io
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-mockery.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-mockery.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-mockery
 Rules-Requires-Root: no
 
@@ -31,6 +31,7 @@
  ${phpcomposer:description}.
 
 Package: php-mockery-doc
+Multi-Arch: foreign
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}

## php-mockery 1.6.4

=== Makefile ===
vendor/composer/installed.json: composer.json
	composer install

.PHONY: deps
deps: vendor/composer/installed.json

.PHONY: test
test: deps
	php vendor/bin/phpunit

.PHONY: apidocs
apidocs: docs/api/index.html

phpDocumentor.phar:
	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.3.1/phpDocumentor.phar
	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.3.1/phpDocumentor.phar.asc

library_files=$(shell find src -name '*.php')
docs/api/index.html: vendor/composer/installed.json $(library_files) phpDocumentor.phar
	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.1-pcov php phpDocumentor.phar run -d src -t docs/api

.PHONY: test-all
test-all: test-83 test-82 test-81 test-80 test-74

.PHONY: test-74
test-74: deps
	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:7.4-pcov php vendor/bin/phpunit

.PHONY: test-80
test-80: deps
	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.0-pcov php vendor/bin/phpunit

.PHONY: test-81
test-81: deps
	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.1-pcov php vendor/bin/phpunit

.PHONY: test-82
test-82: deps
	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.2-pcov php vendor/bin/phpunit

.PHONY: test-83
test-83: deps
	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.3-rc-pcov php vendor/bin/phpunit

=== debian/changelog ===
php-mockery (1.6.4-1) unstable; urgency=medium

  [ Nathanael Esayeas ]
  * Update LICENSE
  * Create COPYRIGHT.md
  * Update CHANGELOG.md

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sat, 22 Jul 2023 10:37:05 +0200

php-mockery (1.6.2-1) unstable; urgency=medium

  [ Nathanael Esayeas ]
  * Create IsSame.php
  * Create IsEqual.php
  * Update CHANGELOG.md

 -- David Prévot <taffit@debian.org>  Wed, 07 Jun 2023 19:14:29 +0200

php-mockery (1.6.1-1) unstable; urgency=medium

  [ Nathanael Esayeas ]
  * Update CHANGELOG.md

 -- David Prévot <taffit@debian.org>  Mon, 05 Jun 2023 19:44:02 +0200

## php-mockery 1.6.6

=== debian/changelog ===
php-mockery (1.6.6-1) unstable; urgency=medium

  [ Nathanael Esayeas ]
  * Replace `+` with `array_merge`
  * Keep the file that caused an error for inspection
  * Update CHANGELOG.md

  [ David Prévot ]
  * Set upstream metadata fields: Security-Contact.

 -- David Prévot <taffit@debian.org>  Sun, 03 Sep 2023 04:29:42 +0530

## php-mockery 1.6.7

=== Makefile ===
--- 
+++ 
@@ -15,12 +15,16 @@
 	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.3.1/phpDocumentor.phar
 	wget https://github.com/phpDocumentor/phpDocumentor/releases/download/v3.3.1/phpDocumentor.phar.asc
 
-library_files=$(shell find src -name '*.php')
+library_files=$(shell find library -name '*.php')
 docs/api/index.html: vendor/composer/installed.json $(library_files) phpDocumentor.phar
-	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.1-pcov php phpDocumentor.phar run -d src -t docs/api
+	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.1-pcov php phpDocumentor.phar run -d library -t docs/api
 
 .PHONY: test-all
-test-all: test-83 test-82 test-81 test-80 test-74
+test-all: test-83 test-82 test-81 test-80 test-74 test-73
+
+.PHONY: test-73
+test-73: deps
+	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:7.3-pcov php vendor/bin/phpunit
 
 .PHONY: test-74
 test-74: deps
@@ -40,4 +44,4 @@
 
 .PHONY: test-83
 test-83: deps
-	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.3-rc-pcov php vendor/bin/phpunit
+	docker run -it --rm -v $$PWD:/opt/mockery -w /opt/mockery ghcr.io/ghostwriter/php:8.3-pcov php vendor/bin/phpunit

=== debian/changelog ===
php-mockery (1.6.7-1) unstable; urgency=medium

  [ Nathanael Esayeas ]
  * Add factory methods for `IsEqual` and `IsSame` matchers (#1336)
  * Fix test namespaces
  * Update CHANGELOG.md

  [ Oleksandr Prypkhan ]
  * Support PHPUnit constraints as matchers

  [ David Prévot ]
  * Drop .phive content from source

 -- David Prévot <taffit@debian.org>  Tue, 12 Dec 2023 23:43:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with phpcomposer,sphinxdoc
+	dh $@
 
 override_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--template debian/autoload.php.tpl \
 		--output library/Mockery/autoload.php \
 		library
 	mkdir --parents vendor
+	phpabtpl --require mockery/mockery > debian/autoload.tests.php.tpl
 	phpab \
 		--template debian/autoload.tests.php.tpl \
 		--output vendor/autoload.php \
@@ -23,5 +25,4 @@
 	rm -f debian/php-mockery/usr/share/php/helpers.php
 
 override_dh_auto_test:
-	rm -rf tests/PHP80
 	phpunit --include-path library

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require mockery/mockery > debian/autoload.tests.php.tpl && phpab -t debian/autoload.tests.php.tpl -o vendor/autoload.php tests && phpunit
Restrictions: allow-stderr, rw-build-tree
Depends: php-mockery, php-redis, phpab, phpunit, pkg-php-tools (>= 1.41~)

## php-mockery 1.6.12

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+.PHONY: tests
+tests: test-73 test-83
+
 vendor/composer/installed.json: composer.json
 	composer install

=== debian/changelog ===
php-mockery (1.6.12-5) unstable; urgency=medium

  * Compatibility with recent PHPUnit (12)
  * Update Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Sat, 30 Aug 2025 11:54:54 +0200

php-mockery (1.6.12-4) unstable; urgency=medium

  * Actually ignore tests failing with PHPUnit 11 and coverage
  * Revert "Force system dependencies loading"
  * Drop useless (in Debian) lib-pcre dependency

 -- David Prévot <taffit@debian.org>  Sat, 04 Jan 2025 19:14:56 +0100

php-mockery (1.6.12-3) unstable; urgency=medium

  * Set Multi-Arch: foreign
  * Ignore tests failing with PHPUnit 11 (Closes: #1039800)

 -- David Prévot <taffit@debian.org>  Sat, 12 Oct 2024 14:58:08 +0100

php-mockery (1.6.12-2) unstable; urgency=medium

  * Do not depend on obsolete pcre3 library (Closes: #1071686)

 -- David Prévot <taffit@debian.org>  Fri, 26 Jul 2024 17:12:02 +0900

php-mockery (1.6.12-1) unstable; urgency=medium

  [ Nathanael Esayeas ]
  * Fix mocking anonymous classes (#1415)
  * Changelog v1.6.12 (#1418)

  [ Rolands Usāns ]
  * Fix PHP Doc Comments (#1410)

  [ David Prévot ]
  * Don’t import upstream tools/
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Fri, 17 May 2024 07:25:04 +0200

php-mockery (1.6.11-2) unstable; urgency=medium

  * Allow stderr during CI

 -- David Prévot <taffit@debian.org>  Tue, 26 Mar 2024 08:21:04 +0000

php-mockery (1.6.11-1) unstable; urgency=medium

  [ Nathanael Esayeas ]
  * Refactor
  * Changelog v1.6.11 (#1408)

  [ Ruud Kamphuis ]
  * Add PHPUnit 10+ attributes

  [ sakarikl ]
  * fix mock method $args parameter type

  [ Ayesh Karunaratne ]
  * [PHP 8.4] Fixes for implicit nullability deprecation

 -- David Prévot <taffit@debian.org>  Fri, 22 Mar 2024 07:54:19 +0100

php-mockery (1.6.9-1) unstable; urgency=medium

  * No-op upstream bump

 -- David Prévot <taffit@debian.org>  Thu, 14 Mar 2024 08:00:56 +0100

php-mockery (1.6.7-2) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Wed, 06 Mar 2024 16:12:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,22 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               dh-sequence-sphinxdoc,
+               dh-sequence-sphinxdoc <!nodoc>,
                php-hamcrest,
-               php-redis,
+               php-redis <!nocheck>,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~),
-               python3-sphinx,
-               python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+               phpunit <!nocheck>,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://docs.mockery.io
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-mockery.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-mockery
-Rules-Requires-Root: no
 
 Package: php-mockery
+Multi-Arch: foreign
 Architecture: all
-Depends: libpcre3 (>= 7.0), ${misc:Depends}, ${phpcomposer:Debian-require}
+Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Recommends: ${phpcomposer:Debian-recommend}
 Suggests: php-mockery-doc, ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 		--output library/Mockery/autoload.php \
 		library
 	mkdir --parents vendor
-	phpabtpl --require mockery/mockery > debian/autoload.tests.php.tpl
+	phpabtpl \
+		--require-file ../library/Mockery/autoload.php \
+		> debian/autoload.tests.php.tpl
 	phpab \
 		--template debian/autoload.tests.php.tpl \
 		--output vendor/autoload.php \
@@ -25,4 +27,4 @@
 	rm -f debian/php-mockery/usr/share/php/helpers.php
 
 override_dh_auto_test:
-	phpunit --include-path library
+	phpunit --no-coverage

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require mockery/mockery > debian/autoload.tests.php.tpl && phpab -t debian/autoload.tests.php.tpl -o vendor/autoload.php tests && phpunit --no-coverage
Restrictions: allow-stderr, rw-build-tree
Depends: php-redis, phpab, phpunit, pkg-php-tools, @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/mockery/mockery \
refs/tags/v?(\d.+)
